#!/usr/bin/env python

import os
from glob import glob
import tarfile

def check_tar(xzfile):
    with tarfile.open(xzfile) as tar:
        for entry in tar:
            if not entry.isfile():
                continue

            if entry.name == '.BUILDINFO':
                return True

        return False

def main():
    no_buildinfo = []
    buildinfo = []
    for pkg in glob('/srv/ftp/pool/packages/*-x86_64.pkg.tar.xz'):
        if check_tar(pkg):
            buildinfo.append(os.path.basename(pkg))
        else:
            no_buildinfo.append('-'.join(os.path.basename(pkg).split('-')[:-1]))
    print('BUILDINFO status {}/{}'.format(len(buildinfo), len(no_buildinfo)))
    for pkg in no_buildinfo:
        print(pkg)

if __name__ == '__main__':
    main()
